
Redmine - Defect #21559

Issues visibility own but i see all issues

2015-12-17 16:44 - Hannes Sroeb

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.2.0

Description

hello,

in my permissions i have set the value of Issues visibility: Issues created by or assigned to the user.

But i'm log in as a user with this permission and i see all issues but if i click on a issue that im not the autor or the assigned user i get

an error. in version 3.1.1 of redmine i dont have seen this issues in the overview of the issue table.

can we have a bug or a defect???

History

#1 - 2015-12-17 17:15 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please give us more information. See Submissions.

#2 - 2015-12-18 07:34 - Hannes Sroeb

hello,

my enviroment:

Environment:

Redmine version                3.2.0.stable

Ruby version                   2.1.4-p265 (2014-10-27) [x86_64-linux]

Rails version                  4.2.5

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.8

Git                            1.9.1

Filesystem

Redmine plugins:

easy_baseline                  2014

easy_gantt                     2016.01.1000

easy_gantt_pro                 2016-RC1.0

file_servers                   3.0.2

redmine_issue_badge            0.0.2

redmine_issue_templates        0.1.1

redmine_percent_done           1.0.0

redmine_tags                   3.1.0

webasto_ips                    0.0.1

soo and my problem is i have a user with the name "Hannes Börs" and this user is in a role with permissions that his Issues visibility is Issues created

by or assigned to the user.

Why i see all the other tickets in the project that im not the autor or the assigned user? pictures are in the description.

thanks

hannes

#3 - 2015-12-18 15:28 - Toshi MARUYAMA

Try without some plugins if you can.

#4 - 2015-12-21 14:55 - Hannes Sroeb
https://www.redmine.org/projects/redmine/wiki/Submissions


thanks for your help Toshi Maruyama.

my problem was generated by a plugin.

thanks for your help this issue can be close.

#5 - 2015-12-21 16:13 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thanks for the feedback.

Closing.

#6 - 2016-03-01 14:42 - Jonathan Vargas

I am having the same problem, however I disabled plugins and the bug is still present. I opened #22120 to report my case because I can't reopen this

one.
